[Top] [All Lists]

Re: CVS linux

To: Ralf Baechle <>
Subject: Re: CVS linux
Date: Mon, 14 Feb 2005 09:41:17 -0600 (CST)
In-reply-to: <>
Original-recipient: rfc822;
> Bulletproofing 2.4 against newer tools is something that only makes limited
> sense, especially wrt. to gcc 3.4 and newer.  Chances for any such changes
> to be accepted upstream are slim - and the kernel has traditionally been
> easily affected by overoptimization, so I recommend against gcc 3.4.  The
> recommended compiler for 2.4 is still gcc 2.95.3 but except gcc 3.0 upto
> gcc 3.3 is reasonable and can be considered well tested.
gcc 3.2 has problems with certain optimizations as well. 3.2 should be
used with caution.


<Prev in Thread] Current Thread [Next in Thread>